Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Interface NamingAliasMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  NamingAlias

public interface NamingAliasMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getFromName()` Get the from name of the alias.
`String` | `getToName()` Get the to name of the alias.
`void` | `setFromName(String name)` Set the from name of the alias.
`void` | `setToName(String name)` Set the to name of the alias.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getFromName

    public String getFromName()

  Get the from name of the alias. This is the location where the LinkRef is bound under JNDI.

  Returns:
    the location of the LinkRef

### setFromName

    public void setFromName(String name)
                     throws NamingException

  Set the from name of the alias. This is the location where the LinkRef is bound under JNDI.

  Throws:
    `NamingException`

### getToName

    public String getToName()

  Get the to name of the alias. This is the target name to which the LinkRef refers. The name is a URL, or a name to be resolved relative to the initial context, or if the first character of the name is ".", the name is relative to the context in which the link is bound.

  Returns:
    the target JNDI name of the alias.

### setToName

    public void setToName(String name)
                   throws NamingException

  Set the to name of the alias. This is the target name to which the LinkRef refers. The name is a URL, or a name to be resolved relative to the initial context, or if the first character of the name is ".", the name is relative to the context in which the link is bound.

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.